Loading...
Searching...
No Matches
itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::KappaGetValueAndDerivativePerThreadStruct Struct Reference

## Detailed Description

template<class TFixedImage, class TMovingImage>
struct itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::KappaGetValueAndDerivativePerThreadStruct

Definition at line 243 of file itkAdvancedKappaStatisticImageToImageMetric.h.

## Data Fields

SizeValueType | st_AreaIntersection
SizeValueType | st_AreaSum
DerivativeType | st_DerivativeSum1
DerivativeType | st_DerivativeSum2
SizeValueType | st_NumberOfPixelsCounted

## Field Documentation

## st_AreaIntersection

template<class TFixedImage, class TMovingImage>

SizeValueType itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::KappaGetValueAndDerivativePerThreadStruct::st_AreaIntersection

Definition at line 247 of file itkAdvancedKappaStatisticImageToImageMetric.h.

## st_AreaSum

template<class TFixedImage, class TMovingImage>

SizeValueType itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::KappaGetValueAndDerivativePerThreadStruct::st_AreaSum

Definition at line 246 of file itkAdvancedKappaStatisticImageToImageMetric.h.

## st_DerivativeSum1

template<class TFixedImage, class TMovingImage>

DerivativeType itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::KappaGetValueAndDerivativePerThreadStruct::st_DerivativeSum1

Definition at line 248 of file itkAdvancedKappaStatisticImageToImageMetric.h.

## st_DerivativeSum2

template<class TFixedImage, class TMovingImage>

DerivativeType itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::KappaGetValueAndDerivativePerThreadStruct::st_DerivativeSum2

Definition at line 249 of file itkAdvancedKappaStatisticImageToImageMetric.h.

## st_NumberOfPixelsCounted

template<class TFixedImage, class TMovingImage>

SizeValueType itk::AdvancedKappaStatisticImageToImageMetric< TFixedImage, TMovingImage >::KappaGetValueAndDerivativePerThreadStruct::st_NumberOfPixelsCounted

Definition at line 245 of file itkAdvancedKappaStatisticImageToImageMetric.h.

Generated on 1768596610 for elastix by 1.15.0 |